Get Channel Site
Alias of GET /sites?channel_id=channel_id
Returns site data for the specified channel.
For the “urls” object, we no longer modify the www prefix of the primary URL. The API returns URLs exactly as the customer enters them, similar to the “url” field.
- If the customer saves a URL with
www, the API returns it withwww. - If the customer saves a URL without
www, the API returns it withoutwww.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
channel_id
The ID of a channel.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
The site associated with the channel.
data
meta
Response metadata.